Manifest-Version: 1.0
Bnd-LastModified: 1785839779164
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Client Extension Web
Bundle-SymbolicName: com.liferay.client.extension.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.44.hotfix-7311-7413
Created-By: 1.8.0_492 (Azul Systems, Inc.)
Import-Package: com.liferay.application.list;version="7.0",com.liferay
 .client.extension.exception;version="4.1",com.liferay.client.extensio
 n.model;version="4.1",com.liferay.client.extension.service;version="7
 .0",com.liferay.client.extension.type;version="3.8",com.liferay.clien
 t.extension.type.annotation;version="2.0",com.liferay.client.extensio
 n.type.deployer;version="1.0",com.liferay.client.extension.type.facto
 ry;version="2.1",com.liferay.client.extension.type.manager;version="3
 .0",com.liferay.exportimport.data.handler.base;version="1.0",com.life
 ray.exportimport.kernel.lar;version="5.0",com.liferay.exportimport.st
 aged.model.repository;version="1.1",com.liferay.frontend.data.set.pro
 vider;version="1.0",com.liferay.frontend.data.set.provider.search;ver
 sion="1.0",com.liferay.frontend.data.set.view;version="3.1",com.lifer
 ay.frontend.data.set.view.table;version="9.0",com.liferay.frontend.js
 .importmaps.extender;version="2.0",com.liferay.frontend.js.loader.mod
 ules.extender.npm;version="7.0",com.liferay.frontend.taglib.clay.serv
 let.taglib.util;version="4.6",com.liferay.petra.function;version="1.5
 ",com.liferay.petra.function.transform;version="1.3",com.liferay.petr
 a.sql.dsl.query,com.liferay.petra.string;version="1.7",com.liferay.po
 rtal.kernel.annotation;version="7.0",com.liferay.portal.kernel.bean;v
 ersion="10.1",com.liferay.portal.kernel.dao.orm;version="12.0",com.li
 feray.portal.kernel.exception;version="13.3",com.liferay.portal.kerne
 l.feature.flag;version="1.0",com.liferay.portal.kernel.json;version="
 12.1",com.liferay.portal.kernel.language;version="11.0",com.liferay.p
 ortal.kernel.log;version="8.0",com.liferay.portal.kernel.model;versio
 n="30.4",com.liferay.portal.kernel.portlet;version="26.0",com.liferay
 .portal.kernel.portlet.bridges.mvc;version="6.1",com.liferay.portal.k
 ernel.portlet.configuration.icon;version="5.0",com.liferay.portal.ker
 nel.portlet.url.builder;version="2.0",com.liferay.portal.kernel.searc
 h;version="20.2",com.liferay.portal.kernel.service;version="25.1",com
 .liferay.portal.kernel.servlet;version="12.1",com.liferay.portal.kern
 el.servlet.taglib.aui;version="10.1",com.liferay.portal.kernel.servle
 t.taglib.util;version="7.0",com.liferay.portal.kernel.theme;version="
 10.5",com.liferay.portal.kernel.upgrade;version="21.2",com.liferay.po
 rtal.kernel.util;version="63.0",com.liferay.portal.kernel.workflow;ve
 rsion="21.0",com.liferay.portal.kernel.xml;version="7.1",com.liferay.
 portal.upgrade.registry;version="5.0",com.liferay.portal.util;version
 ="52.0",com.liferay.portal.vulcan.pagination;version="1.5",com.lifera
 y.portlet;version="9.0",javax.portlet,javax.servlet,javax.servlet.htt
 p,org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Client Extension
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.client.extension.web.internal.application
 .list,com.liferay.client.extension.web.internal.constants,com.liferay
 .client.extension.web.internal.display.context,com.liferay.client.ext
 ension.web.internal.display.context.util,com.liferay.client.extension
 .web.internal.exportimport.data.handler,com.liferay.client.extension.
 web.internal.exportimport.staged.model.repository,com.liferay.client.
 extension.web.internal.frontend.data.set.model,com.liferay.client.ext
 ension.web.internal.frontend.data.set.provider,com.liferay.client.ext
 ension.web.internal.frontend.data.set.view.table,com.liferay.client.e
 xtension.web.internal.frontend.js.importmaps.extender,com.liferay.cli
 ent.extension.web.internal.portlet,com.liferay.client.extension.web.i
 nternal.portlet.action,com.liferay.client.extension.web.internal.port
 let.configuration.icon,com.liferay.client.extension.web.internal.type
 .deployer,com.liferay.client.extension.web.internal.upgrade.registry,
 com.liferay.client.extension.web.internal.upgrade.v1_0_0,com.liferay.
 client.extension.web.internal.upgrade.v2_0_0,com.liferay.client.exten
 sion.web.internal.upgrade.v3_0_1,com.liferay.client.extension.web.int
 ernal.util
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/client
 -extension-web";version:Version="1.0.44.hotfix-7311-7413",osgi.servic
 e;objectClass:List<String>="com.liferay.application.list.PanelApp";us
 es:="com.liferay.application.list",osgi.service;objectClass:List<Stri
 ng>="com.liferay.client.extension.type.deployer.CETDeployer";uses:="c
 om.liferay.client.extension.type.deployer",osgi.service;objectClass:L
 ist<String>="com.liferay.exportimport.kernel.lar.StagedModelDataHandl
 er";uses:="com.liferay.exportimport.kernel.lar",osgi.service;objectCl
 ass:List<String>="com.liferay.exportimport.staged.model.repository.St
 agedModelRepository";uses:="com.liferay.exportimport.staged.model.rep
 ository",osgi.service;objectClass:List<String>="com.liferay.frontend.
 data.set.provider.FDSActionProvider";uses:="com.liferay.frontend.data
 .set.provider",osgi.service;objectClass:List<String>="com.liferay.fro
 ntend.data.set.provider.FDSDataProvider";uses:="com.liferay.frontend.
 data.set.provider",osgi.service;objectClass:List<String>="com.liferay
 .frontend.data.set.view.FDSView";uses:="com.liferay.frontend.data.set
 .view",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.ke
 rnel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.
 liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="co
 m.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass
 :List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResou
 rceCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.portlet
 .configuration.icon.PortletConfigurationIcon";uses:="com.liferay.port
 al.kernel.portlet.configuration.icon",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";u
 ses:="com.liferay.portal.upgrade.registry",osgi.service;objectClass:L
 ist<String>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter
 :="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend-d
 ata-set))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=ht
 tp://liferay.com/tld/learn))",osgi.extender;filter:="(&(osgi.extender
 =jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/react))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.tagli
 b)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.ex
 tender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.service;fi
 lter:="(objectClass=com.liferay.client.extension.service.ClientExtens
 ionEntryRelLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.client.extension.service.ClientExtensionEntrySe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.client.extension.type.factory.CETFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.client.extension.type.mana
 ger.CETManager)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.exportimport.staged.model.repository.StagedModelReposito
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .frontend.data.set.view.table.FDSTableSchemaBuilderFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.frontend.js.
 loader.modules.extender.npm.NPMResolver)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.language.Language)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.model.Portlet)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.m
 odel.Release)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.util.Localization)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";
 effective:=active,osgi.service;filter:="(objectClass=javax.servlet.Se
 rvletContext)";effective:=active,osgi.extender;filter:="(&(osgi.exten
 der=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contrac
 t;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(ve
 rsion=3.0.0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(os
 gi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee
 =JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.client.extension.web.internal.
 application.list.ClientExtensionAdminPanelApp.xml,OSGI-INF/com.lifera
 y.client.extension.web.internal.exportimport.data.handler.ClientExten
 sionEntryRelStagedModelDataHandler.xml,OSGI-INF/com.liferay.client.ex
 tension.web.internal.exportimport.staged.model.repository.ClientExten
 sionEntryRelStagedModelRepository.xml,OSGI-INF/com.liferay.client.ext
 ension.web.internal.frontend.data.set.provider.CETFDSActionProvider.x
 ml,OSGI-INF/com.liferay.client.extension.web.internal.frontend.data.s
 et.provider.CETFDSDataProvider.xml,OSGI-INF/com.liferay.client.extens
 ion.web.internal.frontend.data.set.view.table.CETTableFDSView.xml,OSG
 I-INF/com.liferay.client.extension.web.internal.portlet.ClientExtensi
 onAdminPortlet.xml,OSGI-INF/com.liferay.client.extension.web.internal
 .portlet.action.DeleteClientExtensionEntryMVCActionCommand.xml,OSGI-I
 NF/com.liferay.client.extension.web.internal.portlet.action.EditClien
 tExtensionEntryMVCActionCommand.xml,OSGI-INF/com.liferay.client.exten
 sion.web.internal.portlet.action.EditClientExtensionEntryMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.client.extension.web.internal.portlet.a
 ction.ExportClientExtensionEntryMVCResourceCommand.xml,OSGI-INF/com.l
 iferay.client.extension.web.internal.portlet.action.ImportClientExten
 sionEntryMVCResourceCommand.xml,OSGI-INF/com.liferay.client.extension
 .web.internal.portlet.action.ViewClientExtensionEntryMVCRenderCommand
 .xml,OSGI-INF/com.liferay.client.extension.web.internal.portlet.actio
 n.ViewMVCRenderCommand.xml,OSGI-INF/com.liferay.client.extension.web.
 internal.portlet.configuration.icon.ImportClientExtensionEntryPortlet
 ConfigurationIcon.xml,OSGI-INF/com.liferay.client.extension.web.inter
 nal.type.deployer.CETDeployerImpl.xml,OSGI-INF/com.liferay.client.ext
 ension.web.internal.upgrade.registry.ClientExtensionWebUpgradeStepReg
 istrator.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /client-extension-web

